Bug 1139353 - [RFE] Backend: need to return total count of items (ignoring page number/size) for any given search query.
Summary: [RFE] Backend: need to return total count of items (ignoring page number/size...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.6.0
Assignee: Oved Ourfali
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: 1122125
TreeView+ depends on / blocked
 
Reported: 2014-09-08 17:51 UTC by Juan Hernández
Modified: 2016-02-10 19:32 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1122125
Environment:
Last Closed: 2015-03-23 10:16:41 UTC
oVirt Team: Infra


Attachments (Terms of Use)

Description Juan Hernández 2014-09-08 17:51:56 UTC
+++ This bug was initially created as a clone of Bug #1122125 +++

+++ This bug was initially created as a clone of Bug #1114692 +++

in order to display in the GUI total numbers of items for every paged grid (at the moment - main grids):

need new queries that will return the total count of items for a certain query (ignoring the requested page number/size), or that the existing search queries will return, as part of the result, *also* the number of items for that query (again, ignoring the requested page number/size).

Comment 1 Juan Hernández 2014-09-08 17:52:29 UTC
This is for the modifications needed in the backend.

Comment 2 Ori Liel 2015-03-23 10:16:41 UTC
Can't think of a way to do this without a negative impact on performance due to an additional (and costly) database call. 

Compromising the performance of the search engine to be able to say: "showing 20/194 results" doesn't seem to be worth it.


Note You need to log in before you can comment on or make changes to this bug.